Weird error on moonshell

Discussion in 'R4 DS' started by CyborgLizard, Jan 18, 2008.

Jan 18, 2008

Weird error on moonshell by CyborgLizard at 8:36 PM (1,891 Views / 0 Likes) 19 replies

  1. CyborgLizard
    OP

    Newcomer CyborgLizard Advanced Member

    Joined:
    Jan 14, 2008
    Messages:
    85
    Location:
    Japan
    Country:
    United States
    Hi, I just got my r4ds and I went to the official site and downloaded the newest 1.15 files, and put them on my r4. It loads perfectly, and i can play games, but when I go to "applications" on the main menu, where moonshell loads, it does something funny. it scrolls through a bunch of files really fast and on the bottom DS screen it says something about an error, but all of this happens so fast that I cannot read it fast enough. It just loads my directory. Could it be that the 1.15 files on the r4ds site have a faulty moonshell? Or is this normal?
     
  2. Kingwad

    Newcomer Kingwad Advanced Member

    Joined:
    Nov 8, 2007
    Messages:
    97
    Location:
    Niagara
    Country:
    Canada
    The error can be ignored, unless moonshell freezes and you can read it. That's the point of it. If it flies by so fast you can't read the error, the error doesn't apply. If it freezes so you can read it, then it applies.
     
  3. CyborgLizard
    OP

    Newcomer CyborgLizard Advanced Member

    Joined:
    Jan 14, 2008
    Messages:
    85
    Location:
    Japan
    Country:
    United States
    i see. well my worry is that in the future when i try to use moonshell for something (i havent yet, i just got it) it may give me problems. but your probably right. thanks.
     
  4. DanTheManMS

    Member DanTheManMS aka Ricochet Otter

    Joined:
    Jun 2, 2007
    Messages:
    4,325
    Location:
    Georgia
    Country:
    United States
    Yeah, it's a "feature" of Moonshell that's been present on pretty much all devices for ages. Don't worry about it.
     
  5. Rocky5

    Newcomer Rocky5 Advanced Member

    Joined:
    Aug 12, 2007
    Messages:
    76
    Country:
    United States
    If you want it removed then downlaod the moonshell from cyclods web page they have removed the dumb error screen (you only need the .nds file).

    also you dont need to patch the moonshll.nds as r4ds does this on the fly now.
     
  6. CyborgLizard
    OP

    Newcomer CyborgLizard Advanced Member

    Joined:
    Jan 14, 2008
    Messages:
    85
    Location:
    Japan
    Country:
    United States
    Hmm.. i downloaded cyclods moonshell and put that.nds file in both the moonshell and root directory of the drive.. error stil there...


    also, what d you mean the r4 patches it on the fly?
     
  7. azotyp

    Member azotyp GBAtemp Maniac

    Joined:
    Feb 19, 2007
    Messages:
    1,175
    Location:
    Poland
    Country:
    Poland
    Dont know for sure but r4 latest firmware have auto dldi patching.
     
  8. DarkAura

    Member DarkAura Offline

    Joined:
    Aug 20, 2007
    Messages:
    2,388
    Location:
    Over there.
    Country:
    Canada
    Isn't DLDI for homebrew?
     
  9. sylux92

    Member sylux92 GBAtemp Fan

    Joined:
    Apr 15, 2007
    Messages:
    445
    Country:
    United States
    Yes, moonshell is homebrew.
     
  10. golden

    Member golden What a Digital Dummy!!!

    Joined:
    Dec 1, 2007
    Messages:
    1,453
    Country:
    United States
    That error has been bugging me as well but it is anything but weird since it doesn't do anything. More like annoying IMO.
     
  11. ZAFDeltaForce

    Member ZAFDeltaForce Specialist

    Joined:
    Sep 9, 2006
    Messages:
    2,786
    Country:
    Singapore
    You can add a splash screen to mask the error screen though
     
  12. DarkAura

    Member DarkAura Offline

    Joined:
    Aug 20, 2007
    Messages:
    2,388
    Location:
    Over there.
    Country:
    Canada
    But it worked already with the first kernel. And it had DLDI since like 1.10 or something.
     
  13. ZAFDeltaForce

    Member ZAFDeltaForce Specialist

    Joined:
    Sep 9, 2006
    Messages:
    2,786
    Country:
    Singapore
    ^ With the latest kernel, homebrew (like MoonShell) are automatically patched with DLDI. I think thats what azotyp is trying to say
     
  14. DarkAura

    Member DarkAura Offline

    Joined:
    Aug 20, 2007
    Messages:
    2,388
    Location:
    Over there.
    Country:
    Canada
    But what I'm trying to point out is that auto DLDI patching was worked in at like 1.10 or 1.09.
     
  15. Rocky5

    Newcomer Rocky5 Advanced Member

    Joined:
    Aug 12, 2007
    Messages:
    76
    Country:
    United States
    See the moonshell you downloaded from team cyclo web page rename Moonshell.nds its located in the moonshl folder to _DS_MSHL.NDS then put it in the root of your card and overwrite your old one now your done.
     
  16. innercy

    Member innercy GBAtemp Advanced Fan

    Joined:
    Oct 22, 2006
    Messages:
    745
    Country:
    is it possible to load rom through moonshell?..
     
  17. ZAFDeltaForce

    Member ZAFDeltaForce Specialist

    Joined:
    Sep 9, 2006
    Messages:
    2,786
    Country:
    Singapore
  18. CyborgLizard
    OP

    Newcomer CyborgLizard Advanced Member

    Joined:
    Jan 14, 2008
    Messages:
    85
    Location:
    Japan
    Country:
    United States
    cool. it just made it a white screen. thanks.
     
  19. DanTheManMS

    Member DanTheManMS aka Ricochet Otter

    Joined:
    Jun 2, 2007
    Messages:
    4,325
    Location:
    Georgia
    Country:
    United States
    Only on a Supercard DS using their loader, which is a modified form of Moonshell 1.41.
     
  20. golden

    Member golden What a Digital Dummy!!!

    Joined:
    Dec 1, 2007
    Messages:
    1,453
    Country:
    United States
    Too bad all flash carts couldn't load the modified supercard moonshell version as a normal homebrew program. That would rock. [​IMG] [​IMG] [​IMG]
     

Share This Page